KAPPTEMPLATE(1)

NAME
kapptemplate - creates a framework to develop a KDE application

SYNOPSIS
kapptemplate [ --noinit ] [ --default ] [ --full-app | --kpart-app | --kpart-plugin | --existing ]

kapptemplate --help

DESCRIPTION
KAppTemplate is a shell script that will create the necessary framework to develop various KDE applications. It takes care of the autoconf/automake code as well as providing a skeleton and example of what the code typically looks like.

This utility is part of the KDE Software Development Kit.

OPTIONS

  General Options

--help
    Display a full summary of options.

--noinit
    Don't run 'make -f Makefile.cvs'.

--default
    Use default values instead of prompting.

  Framework Types

--full-app
    Create a full featured KDE application.

--kpart-app
    Create a full featured KPart application.

--kpart-plugin
    Create a KPart plugin framework.

--existing
    Converting existing source to an automake/autoconf KDE framework.

FILES

~/.kapptemplate
    Stores default values.

SEE ALSO
The original documentation from the program author is available in /usr/share/doc/kapptemplate/.

AUTHOR
KAppTemplate was written by Kurt Granroth <granroth@kde.org>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).